Skip to main content
GET
/
v1
/
installs
/
{install_id}
/
events
/
{event_id}
get an install event
curl --request GET \
  --url https://api.nuon.co/v1/installs/{install_id}/events/{event_id} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.nuon.co/v1/installs/{install_id}/events/{event_id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.nuon.co/v1/installs/{install_id}/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "<string>",
  "created_by_id": "<string>",
  "id": "<string>",
  "install_id": "<string>",
  "operation": "<string>",
  "operation_name": "<string>",
  "org_id": "<string>",
  "payload": {},
  "updated_at": "<string>"
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}
{
"description": "<string>",
"error": "<string>",
"user_error": true
}

Authorizations

Authorization
string
header
required

Type "Bearer" followed by a space and token.

Path Parameters

install_id
string
required

install ID

event_id
string
required

event ID

Response

OK

created_at
string
created_by_id
string
id
string
install_id
string
operation
string
operation_name
string
operation_status
enum<string>
Available options:
started,
finished,
noop,
failed
org_id
string
payload
object
updated_at
string